#!/bin/sh
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

log () {
     logger -t cga-update-manager "$@"
}


case $1 in
    stop)
        MENSAJE="Se esta actualizando el sistema."
        MENSAJE2="Esto puede tardar varios minutos."
        MENSAJE3="El sistema se apagará/reiniciará al finalizar la actualización."

        ACTIVAS=`python3 /usr/share/pyshared/cga-update-manager/get_transactions.py`

        if [ $ACTIVAS -gt 0 ]
        then
             while [ $ACTIVAS -gt 0 ]
             do
                 log "Hay transacciones en curso. Se bloquea el apagado"
                 /bin/plymouth message --text "$MENSAJE"
                 sleep 2
                 /bin/plymouth message --text "$MENSAJE2"
                 sleep 2
                 /bin/plymouth message --text "$MENSAJE3"
                 sleep 2
                 ACTIVAS=`python3 /usr/share/pyshared/cga-update-manager/get_transactions.py`
             done
             log "Las transacciones han terminado y se procede con el apagado."
             /bin/plymouth message --text "Actualización finalizada"
        fi

    ;;
    *)
        exit 1
    ;;

esac

exit 0

