import os

from configparser import ConfigParser
#from ConfigParser import ConfigParser

class Config_manager:
	
	def __init__(self, config_file_path):
		if not os.path.exists(config_file_path):
			raise Exception("Error al abrir el archivo: %s" %config_file_path)
			return 
		self.cfg_file = config_file_path
		self.__cfg = ConfigParser()
		self.__cfg.read(self.cfg_file)
		
		
	def get_icons_path(self):
		path =  self.__cfg.get("Main","icons_path")
		return path
	
	def get_fix_script_url(self):
		url =  self.__cfg.get("Fix","script_url")
		return url
	
	def get_fix_path(self):
		path =  self.__cfg.get("Fix","script_path")
		return path
	
if __name__ == "__main__":
	cfg = Config_manager()
	print(cfg.get_icons_path())
		
